Subject: Re: cleaner/better zlib sources?

From: Jeff Garzik <[email-masked]>
Date: Thu, 15 Mar 2007 21:11:49 -0400

Linus Torvalds wrote:
> Now, it's possible that I'm just wrong, but the instruction-level profile 
> really did pinpoint the "look up state branch pointer and jump to it" as 
> some of the hottest part of that function. Which is just *evil*. You can 

ISTR there are a bunch of state transitions per byte, which would make 
sense that it shows up on profiles.

> Now, I'm just wondering if anybody knows if there are better zlib 
> implementations out there? This really looks like it could be a noticeable 
> performance issue, but I'm lazy and would be much happier to hear that 
> somebody has already played with optimizing zlib. Especially since I'm not 
> 100% sure it's really going to be noticeable..

I could have sworn that either Matt Mackall or Ben LaHaise had cleaned 
up the existing zlib so much that it was practically a new 
implementation.  I'm not aware of any open source implementations 
independent of zlib (except maybe that C++ behemoth, 7zip).

	Jeff